# Note that this is NOT a relocatable package
%define ver      0.6.1
%define rel      3mdk
%define prefix   /usr

Summary: gEdit is a small but powerful text editor for GNOME.
Name:      gedit
Version:   %ver
Release:   %rel
Copyright: GPL
Group: Editors 
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/gedit/gedit-%{PACKAGE_VERSION}.tar.bz2
Source1: gedit-po-19990827.tar.gz
Source2: gedit_icons.tar.bz2
URL:       http://gedit.pn.org/
BuildRoot: /var/tmp/gedit-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

#Patch: gedit-gtkversion.patch
#Patch1: gedit-desktop.patch

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

GNOME is required to use gEdit (Gnome-Libs and Gtk+).

#%package devel
#Summary: Develop plugins for the gEdit editor.
#Group: Development/Libraries

#%description devel
#gEdit is a small but powerful text editor for GTK+ and/or GNOME.
#This package allows you to develop plugins that work within
#gEdit.  Plugins can create new documents and manipulate documents
#in arbitrary ways.

%prep
%setup

%build

tar yxvf %{SOURCE1}
tar yxvf %{SOURCE2}

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=%{prefix} 
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):\
	needs="X11" \
	section="Applications/Editors" \
	title="gedit" \
	longtitle="gEdit is a small but powerful text editor" \
	command="/usr/bin/gedit" \
	icon=gedit.xpm
EOF
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/usr/share/icons
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large

%clean
rm -rf $RPM_BUILD_ROOT

%post   
/sbin/ldconfig
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%postun 
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL THANKS FAQ
%{prefix}/bin/gedit
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/Applications/*.desktop
%{prefix}/share/pixmaps/*
%{prefix}/share/mime-info/*
%{prefix}/share/geditrc
%{prefix}/man/*/*

/usr/lib/menu/gedit
/usr/share/icons/*

#%files devel
#%defattr(-, root, root)
#%{prefix}/include/*/*
#%{prefix}/lib/*

%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Add icons

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-2mdk
- Add menu entry

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.1-1mdk
- build release
- cleanup spec file .
- add post and postun sections (sometimes handy)
- upgrade from helix

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.5-2mdk
- fix group 
- package should not be relocatable

* Wed Nov 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.5.5
 

* Fri Aug 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest translation files from CVS 

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpage

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.4 from CVS :

	* README: Upped version number to 0.5.4. Also updated various parts
	  of the file to reflect current features and other related items.
	
	* README.plugins, INSTALL, makeconfig.pl: Upped version number to 0.5.4,
	  in preperation of release.
	
	* NEWS: Added Announce message for 0.5.4.

	* Erk! i havent been keeping this up to date.. ahwell.. here goes..
	
	* gE_document.[ch]: (gE_window_new) Make it a GnomeApp arg, instead
	  of a GtkWidget.. much nicer.. And commented out the call to
	  gE_set_menu_toggle_states, gnome-libs 1.0.11 doenst seem to like it..
	
	* gE_mdi.c: various improvements.. (iirc ;)
	
	* gE_prefs.[ch]: Added a "close doc" flag..
	
	* gE_prefs_box.c: Moved the print tab to a Document tab, and added a
	  option for what to do when the last documnet of the window is closed..
	  right now only the first option works.. this corresponds with the 
	  flag, above.
	
	* commands.c: Made the close callback check the "close doc" flag, and 
	  it will either open a new doc if there arent any more, or print hola! to
	  stdout.. as i said, its not fully implemented yet.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
